> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dimepayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Deposits

> Get Deposits from Merchant Account with supporting transactions



## OpenAPI

````yaml https://app.dimepayments.com/openapi.yaml get /api/deposit/list
openapi: 3.0.3
info:
  title: Dime Payments API Documentation
  description: >-
    A simple, basic API for managing Merchants through Dime Payments. JSON based
    REST API
  version: 1.0.0
servers:
  - url: https://app.dimepayments.com
security:
  - default: []
tags:
  - name: Merchant management
    description: ''
  - name: Transaction management
    description: >-

      APIs for managing transactions.  Depending on API KEY permissions, one
      should be able to

      charge credit cards, ACH, Google/Apple Pay wallets along with other
      functions.
  - name: Addresses
    description: |-

      APIs for managing customer addresses
  - name: Customer management
    description: >-

      APIs for managing customers.  Depending on API KEY permissions, one should
      be able to

      list, create, update, and delete customers along with several other
      customer specific requests.
  - name: Deposit management
    description: ''
  - name: Invoice management
    description: >-

      APIs for managing invoices. Depending on API KEY permissions, one should
      be

      able to list, create, update, delete, and send invoices, manage their line

      items, and manage recurring-invoice schedules. Every request is scoped to
      a

      single Merchant via the required `data.sid`.
  - name: Payment Method management
    description: >-

      APIs for managing payment methods associated with customers.  Depending on
      API KEY permissions, one should be able to

      list, show, create, update, and delete payment methods.
  - name: Recurring Payments management
    description: >-

      APIs for managing recurring payments.  Depending on API KEY permissions,
      one should be able to

      create, edit, pause, cancel along with other functions.
  - name: Zapier
    description: >-

      APIs for use through Zapier.  Depending on API KEY permissions, one should
      be able to

      see customers and transactions data.
paths:
  /api/deposit/list:
    get:
      tags:
        - Deposit management
      summary: List Deposits
      description: Get Deposits from Merchant Account with supporting transactions
      operationId: listDeposits
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  description: ''
                  example: []
                  properties:
                    sid:
                      type: string
                      description: The ID of the merchant.
                      example: '91828382'
                  required:
                    - sid
                filters:
                  type: object
                  description: ''
                  example: []
                  properties:
                    start_date:
                      type: string
                      description: >-
                        The deposit start date, in UTC, with format: "YYYY-mm-dd
                        00:00:00"
                      example: '"2024-04-01 00:00:00"'
                    end_date:
                      type: string
                      description: >-
                        The deposit end date, in UTC, with format: "YYYY-mm-dd
                        00:00:00"
                      example: '"2024-04-01 23:59:59"'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - transaction_date: '2023-02-15T19:14:44.000000Z'
                      fund_date: '2023-02-17 00:05:35'
                      transaction_info_id: '789161791'
                      transaction_id: '1'
                      transaction_detail_account: '1005'
                      authorization_amount: '1.0000'
                      net_amount: '0.7200'
                      sweep_id: '125068038'
                      type: withdraw_funds
                    - transaction_date: '2023-02-15T19:14:44.000000Z'
                      fund_date: '2023-02-17 00:05:35'
                      transaction_info_id: '789161791'
                      transaction_id: '1'
                      transaction_detail_account: '1005'
                      authorization_amount: '1.0000'
                      net_amount: '0.7200'
                      sweep_id: '125068038'
                      type: withdraw_funds
                  links:
                    prev: null
                    next: null
                  meta:
                    path: /
                    per_page: 15
                    next_cursor: null
                    prev_cursor: null
                properties:
                  data:
                    type: array
                    example:
                      - transaction_date: '2023-02-15T19:14:44.000000Z'
                        fund_date: '2023-02-17 00:05:35'
                        transaction_info_id: '789161791'
                        transaction_id: '1'
                        transaction_detail_account: '1005'
                        authorization_amount: '1.0000'
                        net_amount: '0.7200'
                        sweep_id: '125068038'
                        type: withdraw_funds
                      - transaction_date: '2023-02-15T19:14:44.000000Z'
                        fund_date: '2023-02-17 00:05:35'
                        transaction_info_id: '789161791'
                        transaction_id: '1'
                        transaction_detail_account: '1005'
                        authorization_amount: '1.0000'
                        net_amount: '0.7200'
                        sweep_id: '125068038'
                        type: withdraw_funds
                    items:
                      type: object
                      properties:
                        transaction_date:
                          type: string
                          example: '2023-02-15T19:14:44.000000Z'
                          description: >-
                            The datetime stamp of when the transaction was
                            initiated.
                        fund_date:
                          type: string
                          example: '2023-02-17 00:05:35'
                          description: >-
                            The datetime stamp of when the funds for the deposit
                            were made available to the merchant.
                        transaction_info_id:
                          type: string
                          example: '789161791'
                          description: >-
                            The transaction info ID which is unique only against
                            the SID for the merchant and ties across all
                            reporting objects.
                        transaction_id:
                          type: string
                          example: '1'
                          description: >-
                            The transaction ID, unique only to the SID for the
                            merchant.
                        transaction_detail_account:
                          type: string
                          example: '1005'
                          description: >-
                            The masked first four digits of the routing number
                            and last four digits of the bank account where funds
                            were deposited.
                        authorization_amount:
                          type: string
                          example: '1.0000'
                          description: The amount the transaction was authorized for.
                        net_amount:
                          type: string
                          example: '0.7200'
                          description: >-
                            The amount the merchant will receive from the
                            transaction after transaction fees.
                        sweep_id:
                          type: string
                          example: '125068038'
                          description: >-
                            The ID of the sweep the deposit was associated with,
                            which is associated with single transactions and can
                            be used for referencing transactions included in a
                            deposit.
                        type:
                          type: string
                          example: withdraw_funds
                          description: >-
                            The type of the deposit will be either add_funds or
                            withdraw_funds. The type of add_funds occurs when
                            the escrow account needs to be replenished from the
                            merchant's bank account to provide returns or
                            refunds to the customer. The type of withdraw_funds
                            occurs when money is moved from the escrow account
                            to the merchant's bank account.
                  links:
                    type: object
                    properties:
                      prev:
                        type: string
                        example: null
                        nullable: true
                      next:
                        type: string
                        example: null
                        nullable: true
                  meta:
                    type: object
                    properties:
                      path:
                        type: string
                        example: /
                      per_page:
                        type: integer
                        example: 15
                      next_cursor:
                        type: string
                        example: null
                        nullable: true
                      prev_cursor:
                        type: string
                        example: null
                        nullable: true
        '400':
          description: Malformed Request
          content:
            application/json:
              schema:
                type: object
                example:
                  errors:
                    filters.start_date:
                      - The filters.start_date field must be a valid date.
                      - >-
                        The filters.start_date field must match the format Y-m-d
                        H:i:s.
                properties:
                  errors:
                    type: object
                    properties:
                      filters.start_date:
                        type: array
                        example:
                          - The filters.start_date field must be a valid date.
                          - >-
                            The filters.start_date field must match the format
                            Y-m-d H:i:s.
                        items:
                          type: string
        '401':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: Incorrect API Key Permission
                    type: object
                    example:
                      message: Permission Denied.
                    properties:
                      message:
                        type: string
                        example: Permission Denied.
                  - description: Not associated with Affiliate
                    type: object
                    example:
                      message: Not associated with Affiliate
                    properties:
                      message:
                        type: string
                        example: Not associated with Affiliate
                  - description: Incorrect SID
                    type: object
                    example:
                      message: The selected data.sid is invalid
                    properties:
                      message:
                        type: string
                        example: The selected data.sid is invalid
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                example:
                  message: Unauthorized
                properties:
                  message:
                    type: string
                    example: Unauthorized
        '404':
          description: No deposits found
          content:
            application/json:
              schema:
                type: object
                example:
                  message: No deposits found
                properties:
                  message:
                    type: string
                    example: No deposits found
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token under your profile in top right</b>.

````